<mamecheat version="1">

  <cheat desc="Infinite Lives">
    <script state="run">
      <action>maincpu.pb@80E5=0C</action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="on">
      <action>temp0 =maincpu.rb@29D2</action>
      <action>temp1 =maincpu.rb@2A3E</action>
      <action>temp2 =maincpu.mb@2E43</action>
    </script>
    <script state="run">
      <action>maincpu.rb@29D2=C3</action>
      <action>maincpu.rb@2A3E=C3</action> <!-- Pt 1 Bullets, Pt 2 Ships + Objects -->
      <action>maincpu.mb@2E43=45</action> <!-- Asteroids -->
    </script>
    <script state="off">
      <action>maincpu.rb@29D2=temp0 </action>
      <action>maincpu.rb@2A3E=temp1 </action>
      <action>maincpu.mb@2E43=temp2 </action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
